<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "factory_t".
 *
 * @property integer $id
 * @property string $name
 * @property integer brand_id
 * @property string $created_at
 * @property string $updated_at
 */
class FactoryT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'factory_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['brand_id'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'brand_id' => 'Brand ID',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public function getBrand()
    {
        return $this->hasOne(Brand2T::className(),['id'=>'brand_id']);
    }

    public function getSeries()
    {
        return $this->hasMany(Series2T::className(),['factory_id'=>'id']);
    }
}
